Please run the below command for scafflolding. Before that please set TravelAssist.Api as startup project.
Scaffold-DbContext -Connection Name=TravelAssistDb Microsoft.EntityFrameworkCore.SqlServer -OutputDir Models -Project "TravelAssist.DAL" -force